Packages - Freedom Issue #3195

Consider providing eudev as an alternative to udev
2022-02-25 02:41 PM - DragOnFly

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

As we all know, the Gentoo maintainer for this project and hwids caused this package to become orphaned. However, eudev is still
being maintained outside of Gentoo (https:/github.com/eudev-project/eudev/releases), and the project is not dead with the recent
version at 3.2.11.

As someone who switched to Parabola due to their focus on freedom for init-systems — as well as greater control over packages
repositories (nonprism etc) — | find it very important to be able to continue using a slimmed-down version of udev and not the
bloatfest introduced by systemd.

eudev can be built with a dependency towards “hwdata” instead of the (now-defunct) “hwids” in order to prevent udev from being
automatically pulled in.

Related issues:
Related to Documentation - Housekeeping #3168: [eudev-systemd]: package dropp... open

History

#1 - 2022-03-05 05:42 PM - gap
| suggested this in #3168, as such this ticket is a duplicate.

#2 - 2022-03-05 05:47 PM - DragOnFly

Sorry for the dupe (issue was not noticed before | submitted) — this ticket can then be deleted.

#3 - 2022-03-31 08:35 PM - bill-auger
- Related to Housekeeping #3168: [eudev-systemd]: package dropped - still suggested on the wiki added

#4 - 2022-03-31 08:35 PM - bill-auger

- Status changed from unconfirmed to duplicate

duplicate of #3168
